Application

List components

List components

GET /application/v1/workers/{worker_id}/components

List the databases, namespaces and buckets this Worker owns.

Support: supported

Parameters

NameLocationTypeRequiredDescription
worker_idpathstringtrueWorker ID (wkr_…).

Response

HTTP 200

Success

application/json

NameTypeDescription
[].idstringComponent ID, prefixed cmp_.
[].worker_idstringOwning Worker.
[].bindingstringBinding name in the Worker's env.
[].typestringComponent type: d1 database, kv namespace or r2 bucket.
[].statusstringComponent status: provisioning, ready, failed, deleting or deleted.
[].location_hintstringAlways apac.
[].usageobject | nullStorage usage.
[].usage.bytesintegerStored bytes.
[].usage.itemsintegerStored items.
[].created_onstringWhen the component was created.
Export

On this page